# Get payment information Endpoint: GET /payments/{paymentProduct}/{paymentId} Version: 1.0.0 Security: Api access ## Path parameters: - `paymentProduct` (string, required) Enum: "creditTransfer", "directDebit" - `paymentId` (string, required) Id of the payment initiation ## Query parameters: - `cursor` (string) A reference to a specific page ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `paymentId` (string) Id of the payment initiation Example: "A30D7108-A584-4C32-95ED-8FF4BB5A7C2C" - `transactionStatus` (string) Status of the payment Enum: "accc", "accp", "acsc", "acsp", "actc", "acwc", "acwp", "rcvd", "pdng", "rjct", "canc", "acfc", "patc", "part" - `tppMessage` (array) Messages on operational issues. - `tppMessage.category` (string, required) TPP message category. Enum: "error", "warning" - `tppMessage.code` (string, required) Code of the TPP message. Example: "AC03" - `tppMessage.message` (null,string) Additional explaining text. - `requestedExecutionDate` (null,string) - `debtorAccount` (object) Account reference - `debtorAccount.iban` (null,string) IBAN of the account Example: "FR7612345987650123456789014" - `debtorAccount.bban` (null,string) BBAN of the account - ISO 20022 Example: "BARC12345612345678" - `debtorAccount.other` (null) Generic account reference. - `debtorAccount.currency` (null,string) Currency code - ISO 4217 Example: "EUR" - `debtorAccount.pan` (null,string) Primary Account Number - ISO/IEC 7812 Example: 5409050000000000 - `debtorAccount.maskedPan` (null,string) Masked Primary Account Number - ISO/IEC 7812 Example: "123456xxxxxx1234" - `debtorAccount.msisdn` (null,string) Mobile phone number Example: "+491701234567" - `debtorName` (null,string) Debtor name - `debtorAddress` (null) Debtor address - `createdAt` (null,string) - `updatedAt` (null,string) - `_links` (object) - `_links.self` (object) - `_links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `_links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" - `_links.status` (object) - `_links.startAuthorization` (null) - `_links.scaRedirect` (null) - `endToEndIdentification` (null,string) End to end identification - `instructedAmount` (object, required) Instructed amount - `instructedAmount.currency` (null,string) The three-letter currency code of the amount - ISO 4217 Example: "NOK" - `instructedAmount.amount` (null,string) The amount value. Negative amounts are signed by minus. The decimal separator is a dot. Example: * 0 * 154 * -1.75 * 349.7 * 3632.78 Example: 3632.78 - `creditorAccount` (object, required) Creditor account - `creditorAgent` (null,string) BICFI Example: "DNBANOKK" - `creditorAgentCountryCode` (null,string) Country code of the creditor agent. Example: "NO" - `creditorAgentClearingSystem` (null) Information about a clearing system member, which might be required for payments to non EEA member states. - `creditorName` (string, required) Creditor name Example: "Ola" - `creditorAddress` (null) Creditor address - `remittanceInformationUnstructured` (null,string) Unstructured remittance information Example: "message" - `remittanceInformationStructured` (null) Structured remittance information - `remittanceInformationStructuredArray` (null,array) - `remittanceInformationStructuredArray.reference` (null,string) Reference Example: 777588823 - `remittanceInformationStructuredArray.referenceType` (null,string) Reference type Example: "SCOR" - `remittanceInformationStructuredArray.referenceIssuer` (null,string) - `purposeCode` (null,string) ISO 20022 ExternalPurpose1Code - `purposeProprietary` (null,string) Purpose in a proprietary form. - `regulatoryReportingAmount` (null) Amount with currency - `regulatoryReportingCode` (null,string) Regulatory reporting code Example: 26 - `regulatoryReportingInformation` (null,string) Regulatory reporting info Example: "Rent" - `bundleReference` (null,string) Reference that can be used for choosing what payments will be bundled together Example: "bundle-id-123456789" - `instructionPriority` (null) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)